petsc-3.7.1 2016-05-15
Report Typos and Errors

# PetscSegBufferGetSize

get currently used size of segmented buffer

### Synopsis

    PetscErrorCode PetscSegBufferGetSize(PetscSegBuffer seg,size_t *usedsize)

Not Collective Many br

### Input Arguments

seg -segmented buffer object Many br

### Output Arguments

usedsize -number of used units Many br

Many br

### See Also

PetscSegBufferExtractAlloc(), PetscSegBufferExtractTo(), PetscSegBufferCreate(), PetscSegBufferGet()

Level:developer
Location:src/sys/utils/segbuffer.c
Index of all Sys routines
Table of Contents for all manual pages
Index of all manual pages